using RebootKit.Engine;
using RebootKit.Engine.Foundation;
using UnityEngine;

namespace RebootKit.FPPKit {
    [CreateAssetMenu(menuName = RConsts.AssetMenu + "FPP/Player Controller")]
    public class PlayerControllerAsset : ControllerAsset {
        [SerializeField]
        private PlayerController.Config _config;

        public override IController Create() {
            return new PlayerController(_config);
        }
    }
}